<form #f="ngForm" autocomplete="off" class="form-horizontal">
  <div class="form-group">
    <label class="col-sm-12 control-label">POI Name<i aria-hidden="true" class="mandatory">*</i></label>
    <div class="col-sm-12 form-input">
      <input type="text" class="form-control" maxlength="70" placeholder="poi name" name="poi_name" #poi_name="ngModel"
        [(ngModel)]="poiModel.poi_name">
      <div class="error-msg" *ngIf="poi_name.errors && (poi_name.dirty || poi_name.touched || f.submitted)">
        <div [hidden]="!poi_name.errors.required">Poi Name Required.</div>
      </div>
    </div>
  </div>


  <div class="form-group">
    <label class="col-sm-12 control-label">POI Latitude<i aria-hidden="true" class="mandatory"></i></label>
    <div class="col-sm-12 form-input">
      <input type="text" class="form-control" maxlength="70" placeholder="poi Latitude" name="poi_lat" #poi_lat="ngModel"
        [(ngModel)]="poiModel.poi_lat" disabled>
    </div>
  </div>

  <div class="form-group">
    <label class="col-sm-12 control-label">POI Longitude<i aria-hidden="true" class="mandatory"></i></label>
    <div class="col-sm-12 form-input">
      <input type="text" class="form-control" maxlength="70" placeholder="poi longitude" name="poi_lng" #poi_lng="ngModel"
        [(ngModel)]="poiModel.poi_lng" disabled>
    </div>
  </div>

  <div class="form-group">
    <label class="col-sm-12 control-label">Favorite ? <mat-checkbox (click)="onFilterChange($event)"></mat-checkbox></label>
  </div>

  <div class="form-group">
    <div class="col-sm-4 col-sm-offset-1">
      <button [disabled]='poiModel.poi_name=="" ' class="btn btn-sm btn-primary blue" type="submit" [mat-dialog-close]='poiModel'>Add
        New POI</button>
    </div>
    <div class="col-sm-4 col-sm-offset-1">
      <button class="btn btn-sm btn-primary red" type="button" [mat-dialog-close]>Cancel</button>
    </div>
  </div>
</form>